apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: nextcloud-exporter-secret
  namespace: my-apps
spec:
  refreshInterval: 1h
  secretStoreRef:
    name: vault-general-secrets
    kind: ClusterSecretStore
  target:
    name: nextcloud-exporter-secret
    creationPolicy: Owner
  data:
    - secretKey: username
      remoteRef:
        key: general-secrets/nextcloud-exporter
        property: username
    - secretKey: password
      remoteRef:
        key: general-secrets/nextcloud-exporter
        property: password
